Inhalte
Index 🔎︎

# IIf Function

Liefert eines zweier möglicher Funktionsergebnisse zurück, abhängig vom Wahrheitsgehalt eines zu überprüfenden Ausdrucks.

### Syntax:

    IIf (Ausdruck, AusdruckWahr, AusdruckFalsch)

### Parameter:

Ausdruck: Ein beliebiger auszuwertender Ausdruck. Wenn der Ausdruck als True ausgewertet wird, gibt die Funktion das Ergebnis von ExpressionTrue zurück, ansonsten das Ergebnis von ExpressionFalse.

AusdruckWahr, AusdruckFalsch: Beliebige Ausdrücke; je nach Ergebnis der logischen Auswertung wird einer dieser Ausdrücke als Funktionsergebnis zurückgegeben.

IIf evaluates both ExpressionTrue and ExpressionFalse even if it returns only one of them. If one of the expressions results in error, the function returns the error. For example, do not use IIF to bypass a possible division by zero result.

### Fehlercodes:

5 Ungültiger Prozeduraufruf

### Beispiel:

    REM Returns the maximum of 3 values
    Function Max (A As Double, B As Double, C, As Double) As Double
        Max = IIf( A >= B, A, B)
        Max = IIf( C >= Max, C, Max)
    End Function
    REM Bad usage of function IIf
    Function Inverse(A As Double) As Double
        Inverse = IIf( A = 0, 0, 1/A )
    End Function

Verwandte Themen

If or Select Case statements

Switch function